/**
*Programme cree par The Clusters
*Classe IHMaide du jeu "Chkoba"
* Classe qui cree la fenetre d'aide
*@author The Clusters
*@version 1.0
**/

package chkoba;

import java.awt.Dimension;
import java.awt.event.KeyEvent;
import java.awt.*;
import javax.swing.*;
import chkoba.*;

/**
*	Classe IHMaide
*/

public class IHMaide extends JFrame
{
	private JTabbedPane jtpOnglets;
	private JPanel jpOngletPrincipal, jpOngletStats, jpOngletOption, jpOngletSkin, jpOngletAstuce;
	private JLabel jlContenuOngletPrincipal, jlContenuOngletStats, jlContenuOngletOption, jlContenuOngletSkin, jlContenuOngletAstuce;
	private JPanel pannel;
	
	public IHMaide()
	{
		setTitle("Chkoba - Aide");
		setSize(480, 310);
		setResizable(false);
		setIconImage(Toolkit.getDefaultToolkit().getImage(IHMaide.class.getResource("/icone.png")));
		
	    pannel = new JPanel();
		
		jtpOnglets = new JTabbedPane(SwingConstants.TOP);
		
	    jpOngletPrincipal = new JPanel();
	    jlContenuOngletPrincipal = new JLabel("<html><center><br/>Bienvenue sur l'aide.<br/><br/><hr><br/>Chaque onglet correspond a une fenêtre du programme<br/>vous y trouverez le fonctionnement de la fenêtre.</center></html>");
	    jpOngletPrincipal.add(jlContenuOngletPrincipal);
	    jpOngletPrincipal.setPreferredSize(new Dimension(380, 230));
	    jtpOnglets.addTab("Aide", jpOngletPrincipal);
		
	    jpOngletStats = new JPanel();
	    jlContenuOngletStats = new JLabel("<html><center><br/>Statistiques<br/><hr></center>Nombre de partie jouee<br/>Nombre de partie gagnee<br/>Nombre de partie perdue<br/>Ratio : Nombre de partie gagnee divise par nombre de partie jouee<br/>Point Chkoba : point Chkoba gagne depuis le debut<br/>Point Carreaux : point remporte avec le nombre de carreaux depuis le debut<br/>Point Plis : points remporte avec le nombre de plis depuis le debut<br/>Point Sept : points remporte avec le maximum de 7 depuis le debut<br/>Point Sept de Carreaux : points remporte avec le 7 de carreaux depuis le debut<br/>Bouton Reinitialiser : Reinitialise toutes les statistiques (avec confirmation)<br/>Bouton Quitter : Retour sur le jeu</html>");
	    jpOngletStats.add(jlContenuOngletStats);
	    jtpOnglets.addTab("Statistiques", jpOngletStats);
		
		jpOngletOption = new JPanel();
	    jlContenuOngletOption = new JLabel("<html><center><br/>Options<br/><hr><br/></center>Changement des noms des joueurs avec predefinis Joueur 1, Joueur 2,<br/>Joueur 3 et Joueur 4 mais vous pouvez y redefinir tous les noms que<br/>vous souhaitez<br/><br/>Vous avez aussi le choix entre 3 niveaux de difficulte pour l'intelligence <br/>artificielle, par defaut Moyen.<br/><br/>Bouton Sauvegarder : Sauve la configuration dans un fichier.<br/>Bouton Reinitialiser : Restaure la configuration d'origine<br/>Bouton Quitter : permet le retour sur le jeu <br/>(attention pensez a sauvegarder si vous effectuez des modifications)</html>");
	    jpOngletOption.add(jlContenuOngletOption);
	    jtpOnglets.addTab("Options", jpOngletOption);
		
		jpOngletSkin = new JPanel();
	    jlContenuOngletSkin = new JLabel("<html><center><br/>Skin<br/><br/><hr><br/>C'est dans cette fenêtre que vous pouvez choisir la couleur de votre tapis.<br/><br/>Vous avez aussi le choix parmis differents skins pour le dos des cartes.</center></html>");
	    jpOngletSkin.add(jlContenuOngletSkin);
	    jtpOnglets.addTab("Skin", jpOngletSkin);
		
		jpOngletAstuce = new JPanel();
	    jlContenuOngletAstuce = new JLabel("<html><center><br/>Astuces<br/><br/><hr><br/>");
	    jpOngletAstuce.add(jlContenuOngletAstuce);
	    jtpOnglets.addTab("Astuces", jpOngletAstuce);
		
	    jtpOnglets.setOpaque(true);
	    pannel.add(jtpOnglets);
	    getContentPane().add(pannel);
	    setVisible(true);
	}
  
	public static void main(String[] args) 
	{
		new IHMaide();
	}
}